PHPの脆弱性情報(Medium: CVE-2018-19395, CVE-2018-19396)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

11/21/2018にPHPの脆弱性情報(Medium: CVE-2018-19395, CVE-2018-19396)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

  • CVE-2018-19395

    Medium

    • SuSE
    • Red Hat Customer Potal
  • NVD
  • CVE-2018-19396

    Low

    • SuSE
    • Red Hat Customer Potal
      • CVSS v3 Base Score: 4.7
      • Vector: CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
    • NVD
  • 修正方法

    各ディストリビューションの情報を確認してください。

    CVE概要(詳細はCVEのサイトをご確認ください)

    • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19395
      • DoSの可能性
      • 重要度 - Low
      • 7.1.24までのPHP 5.x on Windowsでは、攻撃者によりDoS(NULLポインタ非参照とアプリのクラッシュ)を引き起こされる可能性が有る問題があります。

        クラスの"シリアライズ"を行う際に、"シリアライズ"は"zend_get_properties_for"を用いてクラスの全てのプロパティを得ようとします。これにより、nullptrをチェックしない"zend_array_coun"によってプロパティがカウントされます。

        "com"と"com_safearray_proxy"は常に"com_properties_get"でNULLを返してくるため、"zend_array_count"でクラッシュが発生します。

    • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19396
      • DoSの可能性
      • 重要度 - Low
      • 7.1.24までのPHP 5.xには、攻撃者がシリアライズされていないcom, dotnet, その他のクラスへのcallを通じで、DoS(アプリケーションのクラッシュ)を引き起こされる可能性が有ります。


    対処方法

    各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

    セキュリティ系連載案内

    OSSに関するお困りごとは サイオス OSSよろず相談室まで

    サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

    前へ

    OpenSSLの新バージョン(Low: 1.1.1a/1.1.0j/1.0.2p)リリース

    次へ

    Linux Kernelの脆弱性情報(Medium: CVE-2018-19406, CVE-2018-19407)